Subject: [siprec] Questions/comments on draft-eckel-siprec-rtp-rec-01

From: Hadriel Kaplan <[email-masked]>
Date: Tue, 26 Jul 2011 11:33:31 -0400

Howdy,
I read the draft and I have some comments/questions:
1) Why is feedback-based RTP recommended? (i.e., AVPF or SAVPF)  Not only is it fairly rare in usage, but I don't know how an SRC in translator mode could possibly do it for the RS, since it has no control over the RTP from the CS. (I'm not even exactly sure how an SRC in mixer mode would do it, but I suppose it might be possible)  In fact, I'd go so far as to ask the AVTCORE group what doing AVPF on an SRC would entail, if the CS is plain AVP.

2) Section 4.1 on translator mode says:
    "RTCP Receiver Reports generated by the SRS need to be forwarded to the relevant UA."
I'm not so sure that's a good idea.  For one, I shudder to think what the legacy VoIP devices out there will do if they start receiving RTCP-RR's from multiple sources (since there could be one from the real UAS and another one from the SRS).  Second, there are lots of middleboxes/sniffers which monitor the RTCP Receiver Reports to calculate latency, and the SRS sending it will screw them up.  

3) Section 13 only "recommends" symmetric RTP.  Is there some reason not to make it mandatory?  Things sometimes break in the real world if it's not symmetric, and I don't see any reason for it not to be mandated.

-hadriel